/*
 *	File:		utsname.h
 *				1993-1995 metrowerks Inc. All rights reserved
 *	Author:		Berardino E. Baratta
 *
 *	Content:	Interface file to standard UNIX-style entry points ...
 *
 *	NB:			This file implements some UNIX low level support.  These functions
 *				are not guaranteed to be 100% conformant.
 */

#ifndef	_UTSNAME
#define	_UTSNAME

#pragma options align=mac68k

#if __CFM68K__ && __USING_IMPORTED_ANSI__
#pragma import on
#endif

/* struct for uname */
struct utsname {
	char    sysname[32];
	char    nodename[32];
	char    release[32];
	char    version[32];
	char    machine[32];
};

#ifdef __cplusplus
extern "C" {
#endif

/*
 *	Get information about the current system.
 */
int uname(struct utsname *name);

#ifdef __cplusplus
}
#endif

#if __CFM68K__ && __USING_IMPORTED_ANSI__
#pragma import reset
#endif

#pragma options align=reset

#endif
